### Function

# Cogl PixelFormat to_string

#### Declaration [src]

    const char*
    cogl_pixel_format_to_string (
      CoglPixelFormat format
    )

#### Description [src]

Returns a string representation of `format`, useful for debugging purposes.

#### Parameters

`format`

  Type: `CoglPixelFormat`

  A `CoglPixelFormat`.

#### Return value

Type: `const char*`

A string representation of `format`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.